## python-pysqlite2 2.6.3

=== doc/sphinx/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS   =
SPHINXBUILD  = sphinx-build
PAPER        =

ALLSPHINXOPTS = -d .build/doctrees -D latex_paper_size=$(PAPER) \
                $(SPHINXOPTS) .

.PHONY: help clean html web htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  web       to make files usable by Sphinx.web"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf .build/*

html:
	mkdir -p .build/html .build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) .build/html
	@echo
	@echo "Build finished. The HTML pages are in .build/html."

web:
	mkdir -p .build/web .build/doctrees
	$(SPHINXBUILD) -b web $(ALLSPHINXOPTS) .build/web
	@echo
	@echo "Build finished; now you can run"
	@echo "  python -m sphinx.web .build/web"
	@echo "to start the server."

htmlhelp:
	mkdir -p .build/htmlhelp .build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) .build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in .build/htmlhelp."

latex:
	mkdir -p .build/latex .build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) .build/latex
	@echo
	@echo "Build finished; the LaTeX files are in .build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p .build/changes .build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) .build/changes
	@echo
	@echo "The overview file is in .build/changes."

linkcheck:
	mkdir -p .build/linkcheck .build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) .build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in .build/linkcheck/output.txt."

## python-pysqlite2 2.6.0

=== debian/changelog ===
python-pysqlite2 (2.6.0-1build1) natty; urgency=low

  * Rebuild to add support for python 2.7.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Dec 2010 00:12:05 +0000

python-pysqlite2 (2.6.0-1) unstable; urgency=low

  * New upstream version.
  * Changed source package format to "3.0 (quilt)".
  * Updated Standards-Version to 3.8.4.
  * Don't compile with debug information in the non-dbg package.
  * Added missing ${misc:Depends}.

 -- Joel Rosdahl <joel@debian.org>  Sun, 16 May 2010 15:53:25 +0200

python-pysqlite2 (2.5.5-3) unstable; urgency=low

  * Bumped build dependency on python-all-dev to >= 2.5.4. Closes: #551692.

 -- Joel Rosdahl <joel@debian.org>  Tue, 20 Oct 2009 22:05:32 +0200

python-pysqlite2 (2.5.5-2) unstable; urgency=low

  * Allow building with Python 2.6. Patch by Andrew Starr-Bochicchio and
    Stefano Zacchiroli; thanks! Closes: #532014,#547850.
  * Don't build with SQLITE_OMIT_LOAD_EXTENSION. Closes: #543252.
  * Updated to Standards-Version 3.8.3.

 -- Joel Rosdahl <joel@debian.org>  Tue, 13 Oct 2009 22:59:44 +0200

python-pysqlite2 (2.5.5-1) unstable; urgency=low

  * New upstream release.
  * Updated to Standards-Version 3.8.1.
  * pysqlite now by default enforces UTF-8 strings. Closes: #469644.
  * Fixed build problem using new Sphinx versions. Closes: #527494.

 -- Joel Rosdahl <joel@debian.org>  Sun, 10 May 2009 22:15:42 +0200

python-pysqlite2 (2.5.0-2) unstable; urgency=low

  * Moved documentation to a separate package:
    python-pysqlite2-doc. Closes: #500425.

 -- Joel Rosdahl <joel@debian.org>  Sun, 28 Sep 2008 10:14:22 +0200

python-pysqlite2 (2.5.0-1) unstable; urgency=low

  * New upstream release.
  * Updated to Standards-Version 3.8.0.

 -- Joel Rosdahl <joel@debian.org>  Sat, 27 Sep 2008 11:04:12 +0200

python-pysqlite2 (2.4.1-1) unstable; urgency=low

  * New upstream release.
  * Updated to Standards-Version 3.7.3.
  * Capitalized Python correctly in descriptions.

 -- Joel Rosdahl <joel@debian.org>  Sun, 10 Feb 2008 12:25:38 +0100

python-pysqlite2 (2.4.0-2) unstable; urgency=low

  * Made Unicode string work as database parameter again. Closes: #454424.

 -- Joel Rosdahl <joel@debian.org>  Wed, 05 Dec 2007 23:14:41 +0100

python-pysqlite2 (2.4.0-1) unstable; urgency=low

  * New upstream release.
  * Added doc-base registration file again. It was lost in
    2.3.2-2. Closes: #451676.

 -- Joel Rosdahl <joel@debian.org>  Mon, 03 Dec 2007 19:36:47 +0100

python-pysqlite2 (2.3.4-2) unstable; urgency=low

  * Build python-pysqlite2-dbg package based on Ubuntu patch.

 -- Joel Rosdahl <joel@debian.org>  Thu, 21 Jun 2007 22:54:43 +0200

python-pysqlite2 (2.3.4-1) unstable; urgency=low

  * New upstream release.

 -- Joel Rosdahl <joel@debian.org>  Wed, 20 Jun 2007 21:15:20 +0200

python-pysqlite2 (2.3.3-2) unstable; urgency=low

  * Removed DH_COMPAT variable from debian/rules to fix Lintian warning.

 -- Joel Rosdahl <joel@debian.org>  Sun, 22 Apr 2007 22:05:55 +0200

python-pysqlite2 (2.3.3-1) unstable; urgency=low

  * New upstream release.

 -- Joel Rosdahl <joel@debian.org>  Mon, 26 Feb 2007 20:52:05 +0100

python-pysqlite2 (2.3.2-2) unstable; urgency=low

  * Applied patch on http://www.initd.org/tracker/pysqlite/ticket/174 to
    avoid symbol clash between mod_python and mod_cache under
    Apache. Closes: #407165.
  * Updated dependencies for debhelper and python-central.
  * Removed use of dh_python.

 -- Joel Rosdahl <joel@debian.org>  Mon, 29 Jan 2007 22:16:14 +0100

python-pysqlite2 (2.3.2-1) unstable; urgency=low

  * New upstream release.

 -- Joel Rosdahl <joel@debian.org>  Tue,  4 Jul 2006 09:08:53 +0000

python-pysqlite2 (2.3.1-1) unstable; urgency=low

  * New upstream release.
  * Removed XS-Python-Standards-Version header and added debian/pycompat
    file.
  * Bumped Build-Depends on debhelper to (>= 5.0.37.2).

 -- Joel Rosdahl <joel@debian.org>  Wed, 21 Jun 2006 06:34:04 +0000

python-pysqlite2 (2.3.0-1) unstable; urgency=low

  * New upstream release.
  * Adapt to new Python policy. Closes: bug#373346.
  * Updated Standards-Version to 3.7.2.

 -- Joel Rosdahl <joel@debian.org>  Mon, 19 Jun 2006 18:30:03 +0000

python-pysqlite2 (2.2.2-1) unstable; urgency=low

  * New upstream release. Closes: bug#362830.
  * Updated upstream source URL in copyright.

 -- Joel Rosdahl <joel@debian.org>  Fri, 21 Apr 2006 11:35:31 +0200

python-pysqlite2 (2.2.0-1) unstable; urgency=low

  * New upstream release. Closes: bug#361066, bug#361068.
    See also bug#361097.
  * Added build dependency on libsqlite3-dev >= 3.0.8.

 -- Joel Rosdahl <joel@debian.org>  Thu,  6 Apr 2006 22:32:46 +0200

python-pysqlite2 (2.0.5-1) unstable; urgency=low

  * New upstream release.

 -- Joel Rosdahl <joel@debian.org>  Sun, 23 Oct 2005 19:14:57 +0200

python-pysqlite2 (2.0.4-2) unstable; urgency=low

  * Improved description field of the binary package python-pysqlite2.

 -- Joel Rosdahl <joel@debian.org>  Fri, 14 Oct 2005 10:03:02 +0200

python-pysqlite2 (2.0.4-1) unstable; urgency=low

  * New upstream release.

 -- Joel Rosdahl <joel@debian.org>  Mon, 12 Sep 2005 08:35:17 +0200

python-pysqlite2 (2.0.3-3) unstable; urgency=low

  * Additional clarification regarding Python SQLite modules added to
    description.
  * Added README.Debian with information about different Python SQLite
    modules.
  * Improved doc-base information.
  * Updated copyright file with new URL.

 -- Joel Rosdahl <joel@debian.org>  Fri,  9 Sep 2005 19:14:01 +0200

python-pysqlite2 (2.0.3-2) unstable; urgency=low

  * Added doc-base information.
  * Standards-Version 3.6.2.
  * Clarified package description regarding SQLite 3 versus SQLite 2 and
    the python-sqlite package.

 -- Joel Rosdahl <joel@debian.org>  Fri,  2 Sep 2005 17:52:26 +0200

python-pysqlite2 (2.0.3-1) unstable; urgency=low

  * New upstream release.

 -- Joel Rosdahl <joel@debian.org>  Sun, 29 May 2005 10:18:49 +0200

python-pysqlite2 (2.0.2-1) unstable; urgency=low



=== debian/control ===
Source: python-pysqlite2
Section: python
Priority: optional
Maintainer: Joel Rosdahl <joel@debian.org>
Build-Depends: debhelper (>= 7.0.0), python-all-dev (>= 2.5.4), python-all-dbg, python-central (>= 0.5.6), libsqlite3-dev (>= 3.3.8), python-sphinx (>= 0.6.1)
XS-Python-Version: all
Standards-Version: 3.8.4

Package: python-pysqlite2
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Conflicts: python2.3-pysqlite2, python2.4-pysqlite2
Replaces: python2.3-pysqlite2, python2.4-pysqlite2
Suggests: python-pysqlite2-doc, python-pysqlite2-dbg
XB-Python-Version: ${python:Versions}
Description: Python interface to SQLite 3
 pysqlite is a DB-API 2.0-compliant database interface for SQLite.
 .
 This package is built against SQLite 3. For an interface to SQLite 2,
 see the package python-sqlite. An alternative Python SQLite 3 module
 is packaged as python-apsw.
 .
 SQLite is a relational database management system contained in a
 relatively small C library. It is a public domain project created
 by D. Richard Hipp. Unlike the usual client-server paradigm, the
 SQLite engine is not a standalone process with which the program
 communicates, but is linked in and thus becomes an integral part
 of the program. The library implements most of SQL-92 standard,
 including transactions, triggers and most of complex queries.
 .
 pysqlite makes this powerful embedded SQL engine available to
 Python programmers. It stays compatible with the Python database
 API specification 2.0 as much as possible, but also exposes most
 of SQLite's native API, so that it is for example possible to
 create user-defined SQL functions and aggregates in Python.
 .
 If you need a relational database for your applications, or even
 small tools or helper scripts, pysqlite is often a good fit. It's
 easy to use, easy to deploy, and does not depend on any other
 Python libraries or platform libraries, except SQLite. SQLite
 itself is ported to most platforms you'd ever care about.
 .
 It's often a good alternative to MySQL, the Microsoft JET engine
 or the MSDE, without having any of their license and deployment
 issues.

Package: python-pysqlite2-doc
Section: doc
Architecture: all
Depends: libjs-jquery, ${misc:Depends}
Description: Documentation for python-pysqlite2
 pysqlite is a DB-API 2.0-compliant database interface for SQLite.
 .
 This package contains the documentation.

Package: python-pysqlite2-dbg
Section: debug
Priority: extra
Architecture: any
Depends: python-pysqlite2 (= ${binary:Version}), python-dbg, ${shlibs:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: Python interface to SQLite 3 (debug extension)
 pysqlite is a DB-API 2.0-compliant database interface for SQLite.
 .
 This package is built against SQLite 3. For an interface to SQLite 2,
 see the package python-sqlite. An alternative Python SQLite 3 module
 is packaged as python-apsw.
 .
 This package contains the extension built for the Python debug interpreter.

## python-pysqlite2 2.6.3

=== debian/changelog ===
python-pysqlite2 (2.6.3-3) unstable; urgency=low

  * Don't use defunct googlecode.debian.net redirector anymore
  * Include searchindex.js in python-pysqlite2-doc package (closes: #678050)
  * Build with hardening flags
  * Use underscore.js from libjs-underscore
  * Bump Standards-Version to 3.9.3

 -- Joel Rosdahl <joel@debian.org>  Sun, 24 Jun 2012 10:11:30 +0200

python-pysqlite2 (2.6.3-2) unstable; urgency=low

  * Convert from dh_pycentral to dh_python2 (closes: #617024)
  * Use debhelper compat level 8
  * Bump Standards-Version to 3.9.2
  * Add build-arch and build-indep targets to debian/rules
  * Add description of enable_load_extension.patch
  * Expanded descripiton of python-pysqlite2-doc

 -- Joel Rosdahl <joel@debian.org>  Thu, 30 Jun 2011 23:24:01 +0200

python-pysqlite2 (2.6.3-1) unstable; urgency=low

  * New upstream version.
  * Updated Standards-Version to 3.9.1.
  * Added watch file.

 -- Joel Rosdahl <joel@debian.org>  Sun, 20 Feb 2011 17:00:22 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Section: python
 Priority: optional
 Maintainer: Joel Rosdahl <joel@debian.org>
-Build-Depends: debhelper (>= 7.0.0), python-all-dev (>= 2.5.4), python-all-dbg, python-central (>= 0.5.6), libsqlite3-dev (>= 3.3.8), python-sphinx (>= 0.6.1)
-XS-Python-Version: all
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 8), python-all-dev (>= 2.6.6-3~), python-all-dbg, libsqlite3-dev (>= 3.3.8), python-sphinx (>= 0.6.1), dpkg-dev (>= 1.16.1~)
+Standards-Version: 3.9.3
 
 Package: python-pysqlite2
 Architecture: any
@@ -13,7 +12,6 @@
 Conflicts: python2.3-pysqlite2, python2.4-pysqlite2
 Replaces: python2.3-pysqlite2, python2.4-pysqlite2
 Suggests: python-pysqlite2-doc, python-pysqlite2-dbg
-XB-Python-Version: ${python:Versions}
 Description: Python interface to SQLite 3
  pysqlite is a DB-API 2.0-compliant database interface for SQLite.
  .
@@ -48,18 +46,25 @@
 Package: python-pysqlite2-doc
 Section: doc
 Architecture: all
-Depends: libjs-jquery, ${misc:Depends}
+Depends: libjs-jquery, libjs-underscore, ${misc:Depends}
 Description: Documentation for python-pysqlite2
  pysqlite is a DB-API 2.0-compliant database interface for SQLite.
  .
- This package contains the documentation.
+ SQLite is a relational database management system contained in a
+ relatively small C library. It is a public domain project created
+ by D. Richard Hipp. Unlike the usual client-server paradigm, the
+ SQLite engine is not a standalone process with which the program
+ communicates, but is linked in and thus becomes an integral part
+ of the program. The library implements most of SQL-92 standard,
+ including transactions, triggers and most of complex queries.
+ .
+ This package only contains the documentation.
 
 Package: python-pysqlite2-dbg
 Section: debug
 Priority: extra
 Architecture: any
 Depends: python-pysqlite2 (= ${binary:Version}), python-dbg, ${shlibs:Depends}, ${misc:Depends}
-XB-Python-Version: ${python:Versions}
 Description: Python interface to SQLite 3 (debug extension)
  pysqlite is a DB-API 2.0-compliant database interface for SQLite.
  .

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

PYVERS = $(shell pyversions -r)

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp: $(PYVERS:%=build-ext-%-stamp) $(PYVERS:%=dbg-build-ext-%-stamp)
	touch $@

build-ext-%-stamp:
	dh_testdir
	$* setup.py build
	touch $@

dbg-build-ext-%-stamp:
	dh_testdir
	$*-dbg setup.py build -g
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build*stamp dbg-build*stamp
	rm -rf build
	find . -name '*.pyc' | xargs rm -f
	dh_clean

install: build install-prereq $(PYVERS:%=install-ext-%) $(PYVERS:%=dbg-install-ext-%)

install-prereq:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

install-ext-%:
	$* setup.py install --root=$(CURDIR)/debian/python-pysqlite2 --install-layout=deb
	rm -rf debian/python-pysqlite2/usr/pysqlite2-doc
	rm -rf debian/python-pysqlite2/usr/bin
	find debian -type d -wholename '*pysqlite2/test' | xargs rm -rf
	find debian/python-pysqlite2 -name '*.pyc' | xargs rm -f

dbg-install-ext-%:
	$*-dbg setup.py install --root=$(CURDIR)/debian/python-pysqlite2-dbg --install-layout=deb
	find debian/python-*-dbg ! -type d ! -name '*.so' | xargs rm -f
	find debian/python-*-dbg -depth -empty -exec rmdir {} \;

# Build architecture-independent files here.
binary-indep:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -i usr/share/doc/python-pysqlite2-doc/html

	python setup.py build_docs
	dh_installdocs -i build/doc/*
	cd debian/python-pysqlite2-doc/usr/share/doc/python-pysqlite2-doc && \
		mv *.html *.js *.inv _static _sources html && \
		ln -sf ../../../../javascript/jquery/jquery.js html/_static/jquery.js && \
		ln -sf ../../../../javascript/underscore/underscore.js html/_static/underscore.js

	dh_installchangelogs -i
	dh_compress -i -Xjson -Xtxt -Xjs
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a

	dh_installdocs -a
	dh_python2 -a
	dh_installchangelogs -a
	dh_strip -ppython-pysqlite2 --dbg-package=python-pysqlite2-dbg
	rm -rf debian/python-pysqlite2-dbg/usr/share/doc/python-pysqlite2-dbg
	ln -s python-pysqlite2 debian/python-pysqlite2-dbg/usr/share/doc/python-pysqlite2-dbg
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

.PHONY: build build-arch build-indep
.PHONY: clean
.PHONY: install install-prereq
.PHONY: binary-indep binary-arch binary

=== debian/watch ===
version=3
http://code.google.com/p/pysqlite/downloads/list?can=1 .*/pysqlite-(.*)\.tar\.gz

## python-pysqlite2 2.7.0

=== misc/Makefile ===
#####################################################################
# Makefile originally written by Hans Oesterholt-Dijkema
# Adapted and sanitized by Gerhard Haering for use with the pysqlite
# project.
#
# It works with the free MSVC2003 toolkit as well as with MS Visual
# Studio 2003.
#
# Makefile for SQLITE for use with GNU Make (MinGW/MSYS) 
# and the MSVC2003 free toolkit. Expects the MSVC Free SDK
# installed along with the MSVC2003 free toolkit.
#  
# Expects $INCLUDE, $LIB, $PATH set right for use with CL.EXE in
# MSYS. NEEDS MSYS for clean: and install:, for making only: 
# Works also in the Visual C++ Toolkit 2003 Command Prompt,
# provided %INCLUDE%, %LIB%, %PATH% are set accordingly.
#####################################################################

CL=cl
CLFLAGS=-O2 -Og -G7
LINK=link
PREFIX=$$VCTOOLKITINSTALLDIR
INCINST=$(PREFIX)/include
LIBINST=$(PREFIX)/lib
BININST=$(PREFIX)/bin

SQLITE_OBJ = alter.o analyze.o attach.o auth.o btree.o build.o \
         callback.o complete.o date.o \
         delete.o expr.o func.o hash.o insert.o \
         main.o opcodes.o os.o os_unix.o os_win.o \
         pager.o parse.o pragma.o prepare.o printf.o random.o \
         select.o table.o tokenize.o trigger.o update.o \
         util.o vacuum.o \
         vdbe.o vdbeapi.o vdbeaux.o vdbefifo.o vdbemem.o \
         where.o utf.o legacy.o loadext.o vtab.o


SQLITE_OBJ = alter.o analyze.o attach.o auth.o btmutex.o btree.o build.o callback.o \
        complete.o date.o delete.o expr.o func.o hash.o insert.o journal.o \
        legacy.o loadext.o main.o malloc.o mem1.o mem2.o mem3.o mutex.o \
        mutex_w32.o opcodes.o os.o os_win.o pager.o parse.o pragma.o prepare.o \
        printf.o random.o select.o table.o tokenize.o trigger.o update.o utf.o \
        util.o vacuum.o vdbeapi.o vdbeaux.o vdbeblob.o vdbe.o vdbefifo.o vdbemem.o \
        vtab.o where.o

SQLITE_PRG_OBJ=shell.o 

all: sqlite3.lib
	@echo "done"
 
clean:
	rm -f *.dll *.lib *.exp *.exe *.o

sqlite3.exe: sqlite3.dll $(SQLITE_PRG_OBJ)
	$(LINK) -OUT:sqlite3.exe $(SQLITE_PRG_OBJ) sqlite3.lib

sqlite3static.lib: $(SQLITE_OBJ)
	$(LINK) -LIB -OUT:sqlite3static.lib $(SQLITE_OBJ)

sqlite3.dll: $(SQLITE_OBJ)
	$(LINK) -OUT:sqlite3.dll -dll -def:sqlite3.def $(SQLITE_OBJ)

%.o:	%.c
	$(CL) -c $(CLFLAGS) -Fo$@ $<

=== debian/changelog ===
python-pysqlite2 (2.7.0-1ubuntu2) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Feb 2020 08:23:37 +0100

python-pysqlite2 (2.7.0-1ubuntu1) focal; urgency=medium

  * Build-depend on dh-python.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 11 Jan 2020 13:46:05 +0100

python-pysqlite2 (2.7.0-1) unstable; urgency=medium

  * New upstream release 2.7.0

 -- Joel Rosdahl <joel@debian.org>  Sun, 16 Aug 2015 16:22:22 +0200

python-pysqlite2 (2.6.3-4) unstable; urgency=medium

  * Bump Standards-Version to 3.9.6 (no changes)
  * Make build reproducible (patch by Juan Picca) (closes: #789997)

 -- Joel Rosdahl <joel@debian.org>  Sat, 27 Jun 2015 20:20:15 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: python
 Priority: optional
 Maintainer: Joel Rosdahl <joel@debian.org>
-Build-Depends: debhelper (>= 8), python-all-dev (>= 2.6.6-3~), python-all-dbg, libsqlite3-dev (>= 3.3.8), python-sphinx (>= 0.6.1), dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 8), python-all-dev (>= 2.6.6-3~), python-all-dbg, libsqlite3-dev (>= 3.3.8), python-sphinx (>= 0.6.1), dpkg-dev (>= 1.16.1~), dh-python
+Standards-Version: 3.9.6
 
 Package: python-pysqlite2
 Architecture: any
@@ -64,7 +64,7 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: python-pysqlite2 (= ${binary:Version}), python-dbg, ${shlibs:Depends}, ${misc:Depends}
+Depends: python-pysqlite2 (= ${binary:Version}), python2-dbg, ${shlibs:Depends}, ${misc:Depends}
 Description: Python interface to SQLite 3 (debug extension)
  pysqlite is a DB-API 2.0-compliant database interface for SQLite.
  .

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,10 @@
 include /usr/share/dpkg/buildflags.mk
 
 PYVERS = $(shell pyversions -r)
+
+LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
+BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
+SPHINXOPTS := -D html_last_updated_fmt=\"$(BUILD_DATE)\"
 
 build: build-arch build-indep
 build-arch: build-stamp
@@ -60,7 +64,7 @@
 	dh_prep
 	dh_installdirs -i usr/share/doc/python-pysqlite2-doc/html
 
-	python setup.py build_docs
+	python2 setup.py build_docs --sphinxopts="$(SPHINXOPTS)"
 	dh_installdocs -i build/doc/*
 	cd debian/python-pysqlite2-doc/usr/share/doc/python-pysqlite2-doc && \
 		mv *.html *.js *.inv _static _sources html && \
